#include <stdio.h>
#include "sortiva/sortiva.hpp"
#include <string>

//#undef _DEBUG
int main(int argc, char** argv)
{
	uint8_t CountValues = 5;
	for (int i = 0; i < argc; ++i)
	{
		std::string arg = argv[i];
		if (arg == "-n")
		{
			if (i + 1 < argc)
			{
				arg = argv[++i];
				CountValues = static_cast<uint8_t>(std::stoi(arg));
			}
		}
	}

	printf("Darling, I'm Home!\n");
#ifdef _DEBUG
	try {
#endif
		Sortiva app(CountValues);
		app.run();
#ifdef _DEBUG
	}
	catch (std::exception& e)
	{
		printf("\nError: %s\n\n", e.what());
	}
#endif
	return 0;
}
